////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////
// Copyright (c) Microsoft Corporation.  All rights reserved.
////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

#include <tinyhal.h>
#include <..\DeviceCode\Targets\Native\FM3\DeviceCode\FM3.h>

GPIO_PIN VirtualKey_GetPins(UINT32 virtualKey)
{
    GPIO_PIN pin;
    switch (virtualKey)
    {
    case VK_MENU:
        pin = FM3__GPIO::P59;   // SW_C
        break;
    case VK_SELECT:
        pin = FM3__GPIO::P95;   // SW_D
        break;
    case VK_LEFT:
        pin = FM3__GPIO::P54;   // SW_A
        break;
    case VK_RIGHT:
        pin = FM3__GPIO::P56;   // SW_B
        break;
//	case VK_UP:
//		pin = FM3__GPIO::PB7;
//		break;
//	case VK_DOWN:
//		pin = FM3__GPIO::PB6;
//		break;
//	case VK_HOME:
//		pin = FM3_GPIO::PF6;
//		break;
//	case VK_BACK:
//		pin = FM3_GPIO::PF5;
//		break;
    default:
        pin = GPIO_PIN_NONE;
        break;
    }
    return pin;
}

